Bug 1475371 - [DOCS] Measurement units for the keep younger than variable for prune [NEEDINFO]
[DOCS] Measurement units for the keep younger than variable for prune
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.4.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ashley Hardin
DeShuai Ma
Vikram Goyal
3.7-release-plan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 10:02 EDT by Eric Jones
Modified: 2017-09-11 10:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-11 10:23:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ahardin: needinfo? (decarr)


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2017-07-26 10:02:20 EDT
Document URL: 
https://docs.openshift.com/container-platform/3.4/admin_guide/pruning_resources.html

Section Number and Name: 
Cluster Administration
Pruning Objects

Describe the issue: 
All three of the objects that we describe the ability to prune for include the variable --keep-younger-than but none of them mention the valid settings, only stating that the default is 60m

Suggestions for improvement: 
Include the valid units of measurement for this variable

I would like to get total confirmation from someone in engineering on this but based on the fact that the code [0][1][2] appears to use the time package [3] which only accepts Nanoseconds (ns), Microseconds (us), Milliseconds (ms), Seconds (s), Minutes (m), and Hours (h), it would appear very likely that those are the valid units of measurement for this variable.

[0] https://github.com/openshift/origin/blob/a5f7000a7f3ce3f0832d9dcf8eb58073d6eb84c7/pkg/cmd/admin/prune/images.go
[1] https://github.com/openshift/origin/blob/a5f7000a7f3ce3f0832d9dcf8eb58073d6eb84c7/pkg/cmd/admin/prune/deployments.go
[2] https://github.com/openshift/origin/blob/a5f7000a7f3ce3f0832d9dcf8eb58073d6eb84c7/pkg/cmd/admin/prune/builds.go
[3] https://golang.org/pkg/time/#Duration
Comment 2 Ashley Hardin 2017-08-17 16:56:38 EDT
Work in progress: https://github.com/openshift/openshift-docs/pull/5041
Comment 3 DeShuai Ma 2017-08-23 04:58:04 EDT
verified the change!
Comment 4 openshift-github-bot 2017-08-23 08:55:26 EDT
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/df177f919d2e770f7ccb404eaab0c85c76784f84
Merge pull request #5041 from ahardin-rh/keep-younger-than

Bug 1475371, Added valid units of measurement for --keep-younger-than

Note You need to log in before you can comment on or make changes to this bug.